// Learn cc.Class:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/class/index.html
// Learn Attribute:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/reference/attributes/index.html
// Learn life-cycle callbacks:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/life-cycle-callbacks/index.html

cc.Class({
    extends: cc.Component,

    properties: {
        moveSpeed: 5,
        _dTime: null,
        _angle: null,
        _rotateTime: null,
    },

    

    onLoad () {
        //this.setLightRotate();
        this._gameScript = this.node.parent.parent.getComponent('Gamejs');
    },

    setLightRotate: function(dTime, angle, rotateTime)
    {
        // if(this.node._name.slice(0, 4) == "left")
        //     this.node.runAction(cc.repeatForever(cc.sequence(cc.delayTime(dTime),cc.rotateTo(rotateTime, angle),cc.delayTime(1),cc.rotateTo(rotateTime, -angle))));
        // else
            this.node.runAction(cc.repeatForever(cc.sequence(cc.delayTime(dTime),cc.rotateTo(rotateTime, angle),cc.delayTime(dTime),cc.rotateTo(rotateTime, -angle))));
    },

    setMoveSpeed: function(dTime, angle, rotateTime)
    {
        this._dTime = dTime;
        this._angle = angle;
        this._rotateTime = rotateTime;
    },

    start () {

    },

    update (dt) {
        if(this._gameScript.isBgRun)
        {
            var positionX = this.node.getPosition().x;
            var positionY = this.node.getPosition().y; 
            this.node.setPosition(cc.v2(positionX,positionY - this.moveSpeed));
        }
    },
});
