// Learn cc.Class:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/class/index.html
// Learn Attribute:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/reference/attributes/index.html
// Learn life-cycle callbacks:
//  - [Chinese] http://www.cocos.com/docs/creator/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/editors_and_tools/creator-chapters/scripting/life-cycle-callbacks/index.html

cc.Class({
    extends: cc.Component,

    properties: {
    
        prisonerPrefabArr: { //飞机预制数组
            default: [],
            type: [cc.Prefab]
        },
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () 
    {
        //this.prisonerRun();
        let validIndex = this.checkArrIndexValid(0, 2, UserInfo.getCurrentPrison()-1);
        this._prisonerPrefab = this.prisonerPrefabArr[validIndex];
        this._gameScript = this.node.parent.getComponent('Gamejs');
    },

    start () {

    },

    onGameStart: function() {

        this.node.removeAllChildren();
        let validIndex = this.checkArrIndexValid(0, 2, UserInfo.getCurrentPrison()-1);
        this._prisonerPrefab = this.prisonerPrefabArr[validIndex];
        let currentPri = cc.instantiate(this._prisonerPrefab);
        this.node.addChild(currentPri, 0, 1);
        this._priScript = currentPri.getComponent('prisonerJs');
        this._priScript.onGameStart();
    },

    // gameOver: function()
    // {
    //     this.node.removeAllChildren();
    // },

    //跑
    prisonerRun: function()
    {
        this._priScript.prisonerRun();
    },

    //隐身
    prisonerStop: function()
    {
        this._priScript.prisonerStop();
    },

    checkArrIndexValid: function(begin,end,currentindex) {
        if (currentindex < begin || currentindex > end) return begin;

        return currentindex;
    },

    update (dt) 
    {
        if(this._gameScript.isBgRun)
        {
            //播放音效
            //cc.audioEngine.playEffect(this.creepEffect, false, 1);
        }
    },
});
